Cantera 2.6.0

Public Member Functions | Protected Attributes | List of all members
Gaussian Class Reference

A Gaussian. More...

`#include <Func1.h>`

Inheritance diagram for Gaussian:
[legend]
Collaboration diagram for Gaussian:
[legend]

## Public Member Functions
| Gaussian (double A, double t0, double fwhm)
| Gaussian (const Gaussian &b)
Gaussian & | operator= (const Gaussian &right)
virtual Func1 & | duplicate () const
| Duplicate the current function. More...
virtual doublereal | eval (doublereal t) const
| Evaluate the function. More...
Public Member Functions inherited from Func1
| Func1 (const Func1 &right)
Func1 & | operator= (const Func1 &right)
virtual Func1 & | duplicate () const
| Duplicate the current function. More...
virtual int | ID () const
doublereal | operator() (doublereal t) const
| Calls method eval to evaluate the function. More...
virtual doublereal | eval (doublereal t) const
| Evaluate the function. More...
virtual Func1 & | derivative () const
| Creates a derivative to the current function. More...
bool | isIdentical (Func1 &other) const
| Routine to determine if two functions are the same. More...
virtual doublereal | isProportional (TimesConstant1 &other)
virtual doublereal | isProportional (Func1 &other)
virtual std::string | write (const std::string &arg) const
doublereal | c () const
| accessor function for the stored constant More...
void | setC (doublereal c)
| Function to set the stored constant. More...
Func1 & | func1 () const
| accessor function for m_f1 More...
Func1 & | func2 () const
| accessor function for m_f2 More...
virtual int | order () const
| Return the order of the function, if it makes sense. More...
Func1 & | func1_dup () const
Func1 & | func2_dup () const
Func1 * | parent () const
void | setParent (Func1 *p)

## Protected Attributes
doublereal | m_A
doublereal | m_t0
doublereal | m_tau
Protected Attributes inherited from Func1
doublereal | m_c
Func1 * | m_f1
Func1 * | m_f2
Func1 * | m_parent

## Detailed Description

A Gaussian.

\[ f(t) = A e^{-[(t - t_0)/\tau]^2} \]

where

\[ \tau = \frac{fwhm}{2\sqrt{\ln 2}} \]

Parameters

  A | peak value
  t0 | offset
  fwhm | full width at half max

Definition at line 823 of file Func1.h.

## Constructor & Destructor Documentation

## ◆ Gaussian() [1/2]

Gaussian | ( | double | A,
|  | double | t0,
|  | double | fwhm
| ) |  |
| inline

Definition at line 826 of file Func1.h.

## ◆ Gaussian() [2/2]

Gaussian | ( | const Gaussian & | b | ) |
| inline

Definition at line 833 of file Func1.h.

## Member Function Documentation

## ◆ operator=()

Gaussian & operator= | ( | const Gaussian & | right | ) |
| inline

Definition at line 838 of file Func1.h.

## ◆ duplicate()

virtual Func1 & duplicate | ( |  | ) | const
| inline virtual

Duplicate the current function.

This duplicates the current function, returning a reference to the newly created function.

Reimplemented from Func1.

Definition at line 850 of file Func1.h.

## ◆ eval()

virtual doublereal eval | ( | doublereal | t | ) | const
| inline virtual

Evaluate the function.

Reimplemented from Func1.

Definition at line 855 of file Func1.h.

## Member Data Documentation

## ◆ m_A

doublereal m_A
| protected

Definition at line 861 of file Func1.h.

## ◆ m_t0

doublereal m_t0
| protected

Definition at line 861 of file Func1.h.

## ◆ m_tau

doublereal m_tau
| protected

Definition at line 861 of file Func1.h.

The documentation for this class was generated from the following file:

- Func1.h